QGIS Application - Bug report #8406
WMTS Connection is not working
2013-08-02 02:35 PM - Bob Bruce

Status: Closed

Priority: Normal

Assignee: Jurgen Fischer

Category: Web Services clients/WMS

Affected QGIS version:1.8.0 Regression?: No
Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: worksforme
Crashes QGIS or corrupls data: Copied to github as #: 17178
Description

| have not been able to get a WMTS server to work with either the stable version of QGIS 1.8.0 or the current development version of 1.9

This is the WMTS connection :

http://nis.cubewerx.com/cubewerx/cubeserv?CONFIG=0OIM_MB_- Orthophoto-WMTS

which is an OGC compliant WMTS server.

(the GetCapabilities request is at:
http://nis.cubewerx.com/cubewerx/cubeserv?CONFIG=0IM_MB_- Orthophoto-WMTS&#38;SERVICE=WMTS&#38;REQUEST=GetC

pabilities )

this is part of our NIS pilot project and will be available for another 3 months.

| am able to get this WMTS server to work with OpenLayers though through a web page that | have created. This page is attached to this
bug report.

Do you know how QGIS detects that this is a WMTS connection since we are using the WMS connection dialog? | am seeing error
messages that keep saying that a WMS connection could not be established, is that because the error message is currently not specific to
the type of connection (WMS or WMTS) or because it didn't try and make a WMTS connection?

History

#1 - 2013-08-02 03:05 PM - Jiirgen Fischer
- Status changed from Open to Feedback

not reproducable here. Specifying
http://nis.cubewerx.com/cubewerx/cubeserv?CONFIG=0IM_MB_-_Orthophoto-WMTS&SERVICE=WMTS&REQUEST=GetCapabilities as URL works

fine for me in master.

#2 - 2013-08-03 02:10 AM - Giovanni Manghi

it works fine here too.

#3 - 2013-08-05 04:40 AM - Jonathan Moules
http://nis.cubewerx.com/cubewerx/cubeserv?CONFIG=OIM_MB_-_Orthophoto-WMTS
http://nis.cubewerx.com/cubewerx/cubeserv?CONFIG=OIM_MB_-_Orthophoto-WMTS&#38;SERVICE=WMTS&#38;REQUEST=GetCapabilities
http://nis.cubewerx.com/cubewerx/cubeserv?CONFIG=OIM_MB_-_Orthophoto-WMTS&#38;SERVICE=WMTS&#38;REQUEST=GetCapabilities

#8401 - same thing? I've not tried with that WMTS (my QGIS can't access the internet) but QGIS fails for me on my internal WMTS.

#4 - 2013-08-05 04:46 AM - Jiirgen Fischer

Jonathan Moules wrote:

#8401 - same thing? I've not tried with that WMTS (my QGIS can't access the internet) but QGIS fails for me on my internal WMTS.

Are you also leaving out ?SERVICE=WMTS&REQUEST=GetCapabilies?

#5 - 2013-08-05 05:12 AM - Rémi Bovard
Jurgen Fischer wrote:
not reproducable here. Specifying

http://nis.cubewerx.com/cubewerx/cubeserv?CONFIG=0IM_MB_-_Orthophoto-WMTS&SERVICE=WMTS&REQUEST=GetCapabilities as URL

works fine for me in master.

Works fine here too.

#6 - 2013-08-05 05:22 AM - Regis Haubourg

Hi,

Testing WMTS with authentification leads to crsh here, if authentification fails. Did someone try it?

#7 - 2013-08-05 10:20 AM - Bob Bruce

Thanks everybody for your help with this.

Today | (finally) managed to get my QGIS master copy updated. | tried this connection with the additional strings
&SERVICE=WMTS&Request=GetCapabilities and it worked. So I'm closing this bug report.

Tomorrow | will add a comment to the listserv message to let everyone know that they have to add those strings.

As an additional note: when | get the properties of the layer in QGIS and go to Metadata and go to server properties it shows the label WMS Version rather
than WMTS Version.

Bob Bruce

#8 - 2013-08-05 10:20 AM - Bob Bruce
- Status changed from Feedback to Closed

I've closed the ticket

#9 - 2013-08-05 10:21 AM - Giovanni Manghi
- Resolution set to worksforme

#10 - 2013-08-08 01:39 AM - Jonathan Moules

I'm not sure this should have been closed.
Consider it from a users perspective - They wouldn't expect to add SERVER and GetCapabilities. Myself | expect QGIS to either:

a) Figure it out automatically.

or

b) Have a separate button for WMTS.

It shouldn't silently fail as it does now. Documenting this limitation won't fix it - you'll still get lots of confused people and posts to the mailing list.

Especially as you don't require those parameters for WMS.

Files

OpenStreetMap_Example_-_Ortho_Refresh. WMS-WMTS.html 5.29 KB 2013-08-02 Bob Bruce
